clang-tools 8.0.0

Namespaces | Functions
CanonicalIncludes.cpp File Reference
`#include "CanonicalIncludes.h"`
`#include "Headers.h"`
`#include "clang/Driver/Types.h"`
`#include "llvm/Support/Path.h"`
`#include <algorithm>`
Include dependency graph for CanonicalIncludes.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::unique_ptr< CommentHandler > | clang::clangd::collectIWYUHeaderMaps (CanonicalIncludes *Includes)
| Returns a CommentHandler that parses pragma comment on include files to determine when we should include a different header from the header that directly defines a symbol. More...
void | clang::clangd::addSystemHeadersMapping (CanonicalIncludes *Includes)
| Adds mapping for system headers and some special symbols (e.g. More...